{% extends 'base.html' %}
{% load static %}

{% block title %}
Profile | Booked
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        <div class="col-xs-12">
            <div class='parallax'>
                <h3>
                    Profile | Booked
                </h3>

                {% if person.profilePic %}
                <img src="{{ person.profilePic.url }}" alt=""/>
                {% else %}
                <img src="/static/img/78373.png" alt=""/>
                {% endif %}
                <br/> <br/>
                {{ person.name }} aka {{ person.penName }}
                <br/>
                {% if person.dob %}
                Born on {{ person.dob }}
                {% endif %}


            </div>
        </div>
    </div>

    <!-- <div class="row"> -->
    <!--     <div class="col-xs-12"> -->
    <!--         <div class="absolute"> -->
    <!--             <div class="parallaxWhite"> -->
    <!--                 <1!-- Content here --1> -->
    <!--             </div> -->
    <!--         </div> -->
    <!--     </div> -->
    <!-- </div> -->
</div>


<!-- Verification Modal -->
<div id="verificationModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Checkout</h4>
            </div>
            <div class="modal-body">
                <p>We need to send an OTP to your registered mobile number and email id.</p>
                <form action="#" method="get" accept-charset="utf-8">
                    <p>
                    Shipping Address: 
                    <textarea class="form-control" name="address" id="address" rows="2" cols="40"></textarea>
                    <br/>
                    Amount: 
                    <span id='amountSpan'></span>
                    <br/>
                    Payment Option: 
                    <select class="form-control" name="paymentOption" id="paymentOption" onchange="" size="1">
                        <option value="COD">Cash On Delivery</option>
                        <option value="Online">Online Payment (Netbanking, Debit Cards etc)</option>
                    </select>

                    <!-- Rent from Date -->
                    <!-- TODO: Show calendar -->
                    <!-- <input type="text" name="startDate" id="startDate" class='form-control' placeholder='dd-mm-yy' value=""> -->

                    <label id='labelDuration' for="duration">Number of Days for Renting</label>
                    <input class="form-control" type="number" name="duration" id="duration" value="">
                    </p>
                    <div id="otpError" style="background:yellow;display:none;">
                        <h3>There was an error trying to send the otp. Please try again later!</h3>
                    </div>
                    <div id="incorrectOtp" style="background:red;display:none;">
                        <h3>The OTP you entered was incorrect or already used by you.</h3>
                    </div>
                    <div id="otpVerify" style="display:none;">
                        <h3>An OTP has been sent to your mobile number and email id.</h3>
                        Enter OTP:<input class="form-control" type="text" name="otp" id="otp" value=""> 
                        <button id='otpVerifyBtn' type="button" class="btn btn-info" onclick='verifyOtp();'>Verify and Confirm Order</button>
                    </div>
                    <p>
                    <button id='sendOtpBtn' type="button" class="btn btn-info" onclick='sendOtp();'>Send OTP</button>
                    </p>

                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>
<!-- Verification Modal -->

<div id="hiddenForm" class="name">
</div>

{% endblock %}
